> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/0.4.0/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/0.4.0/stepbystep/createtrainingdata/addowntrainingdata.md).

# Using pre-existing training data

## Supplementing Zingg with existing training data

If you already have some training data that you want to start with, you can use that as well with Zingg. Add an attribute trainingSamples to the config and define the training pairs.

The training data supplied to Zingg should have a z\_cluster column that groups the records together. The z\_cluster uniquely identies the group. We also need to add the z\_isMatch column which is 1 if the pairs match or 0 if they do not match. The z\_isMatch value has to be same for all the records in the z\_cluster group. They either match with each other or they dont.

An example is provided in [Github training data](https://github.com/zinggAI/zingg/blob/0.4.0/examples/febrl/training.csv).

The above training data can be specified using [trainingSamples attribute in the configuration.](https://github.com/zinggAI/zingg/blob/0.4.0/examples/febrl/configWithTrainingSamples.json)

In addition, labeled data of one model can also be exported and used as training data for another model. For details, check out [exporting labeled data](/0.4.0/stepbystep/createtrainingdata/exportlabeleddata.md).

Please note: It is advisable to still run [findTrainingData](/0.4.0/stepbystep/createtrainingdata/findtrainingdata.md) and [label](/0.4.0/stepbystep/createtrainingdata/label.md) a few rounds to tune Zingg with the supplied training data as well as patterns it needs to learn independently.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zingg.ai/0.4.0/stepbystep/createtrainingdata/addowntrainingdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
